Summary: A real mode 80x86 assembler and linker.
Name: dev86
Version: 0.16.17
Release: 3tr
License: GPL
Group: Trustix Official
Source: http://www.cix.co.uk/~mayday/Dev86src-%{version}.tar.gz
Patch5: dev86-errno.patch

Buildroot: %{_tmppath}/dev86/
Obsoletes: bin86
ExclusiveArch: i386 i586
PreReq: coreutils

%description
The dev86 package provides an assembler and linker for real mode 80x86
instructions. You'll need to have this package installed in order to
build programs that run in real mode, including LILO and the kernel's
bootstrapping code, from their sources.

You should install dev86 if you intend to build programs that run in real
mode from their source code.

%prep
%setup -q
%patch5 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" make <<!FooBar!
5
quit
!FooBar!

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

make DIST=${RPM_BUILD_ROOT} MANDIR=%{_mandir} install

#install -m 755 -s ${RPM_BUILD_ROOT}/lib/elksemu ${RPM_BUILD_ROOT}/usr/bin
#rm -rf ${RPM_BUILD_ROOT}/lib/

cd ${RPM_BUILD_ROOT}/usr/bin
rm -f nm86 size86
ln -s objdump86 nm86
ln -s objdump86 size86

#strip ${RPM_BUILD_ROOT}/usr/bin/as86
#strip ${RPM_BUILD_ROOT}/usr/bin/bcc
#strip ${RPM_BUILD_ROOT}/usr/bin/ld86
#strip ${RPM_BUILD_ROOT}/usr/bin/objdump86
#strip ${RPM_BUILD_ROOT}/usr/lib/bcc/bcc-cc1
#strip ${RPM_BUILD_ROOT}/usr/lib/bcc/copt
#strip ${RPM_BUILD_ROOT}/usr/lib/bcc/unproto

# move header files out of /usr/include and into /usr/lib/bcc/include
#mv ${RPM_BUILD_ROOT}/usr/include ${RPM_BUILD_ROOT}/usr/lib/bcc
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/bcc/kinclude/linuxmt
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/bcc/kinclude/arch
cp -rf ${RPM_BUILD_DIR}/%{name}-%{version}/libc/kinclude/linuxmt/* ${RPM_BUILD_ROOT}/usr/lib/bcc/kinclude/linuxmt/
cp -rf ${RPM_BUILD_DIR}/%{name}-%{version}/libc/kinclude/arch/* ${RPM_BUILD_ROOT}/usr/lib/bcc/kinclude/arch/

cp -pr $RPM_BUILD_DIR/%{name}-%{version}/copt/README $RPM_BUILD_DIR/%{name}-%{version}/copt/README.copt
cp -pr $RPM_BUILD_DIR/%{name}-%{version}/dis88/README $RPM_BUILD_DIR/%{name}-%{version}/dis88/README.dis88
cp -pr $RPM_BUILD_DIR/%{name}-%{version}/bootblocks/README $RPM_BUILD_DIR/%{name}-%{version}/bootblocks/README.bootblock
cp -pr $RPM_BUILD_DIR/%{name}-%{version}/elksemu/README $RPM_BUILD_DIR/%{name}-%{version}/elksemu/README.elksemu
cp -pr $RPM_BUILD_DIR/%{name}-%{version}/unproto/README $RPM_BUILD_DIR/%{name}-%{version}/unproto/README.unproto

%pre
rm -rf /usr/lib/bcc

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,0755)
%doc README MAGIC Contributors bootblocks/README.bootblock copt/README.copt dis88/README.dis88
%doc elksemu/README.elksemu unproto/README.unproto bin86/README-0.4 bin86/ChangeLog

/usr/lib/bcc
/usr/bin/*
%{_mandir}/man1/*

%changelog
* Fri Mar 18 2005 Ajith Thampi <ajith at comodo dot com> 0.16.17-2tr
- Fixed unpackaged Filelist.

* Tue Feb 22 2005 Raghu <raghu at comodo dot com> 0.16.17-1tr
- New Upstream

* Wed Sep 22 2004 Syed Shabir <syedshabir at comodo dot com> 0.16.3-2tr
- Added files needed to build LILO in /usr/lib/bcc/kinclude/
- New upstream

* Mon Dec 15 2003 Erlend Midttun <erlendbm at trustix dot org> 0.16.0-9tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.16.0-8tr
- Big rebuild

* Thu Jun  5 2003 Erlend Midttun <erlendbm at trustix dot com> 0.16.0-7em
- Fixed file/directory ownership conflict.

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 0.16.0-6em
- fileutils -> coreutils.

* Wed Apr  9 2003 Gerald Dachs <gda at trustix dot org> 0.16.0-5gd
- Added PreReq on fileutils

* Wed Mar 26 2003 Christian H. Toldnes <christht at trustix dot com> 0.16.0-4ct
- Rebuilt against glibc 2.3.2.

* Thu Jun 12 2001 Erlend Midttun <erlendbm at trustix dot com>
- Cleaned up a little.

* Fri Jun  1 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 0.16.0

* Mon Mar  5 2001 Alexander Reelsen <ar at trustix dot com>
- Picked up 0.15.4

* Fri Sep 15 2000 Oystein Viggen <oysteivi at trustix dot com>
- Use optflags and build .i586.rpm

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- add defattr

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- use %%{_mandir}

* Fri Feb 04 2000 Nalin Dahyabhai <nalin@redhat.com>
- change default header directory to match libs and fix bug #9121

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- version 0.15.0
- man pages are compressed

* Mon Sep 20 1999 Donnie Barnes <djb@redhat.com>
- removed "Distribution:" line (was RHCN)
- changed description and summary to the ones from bin86 with s/bin/dev/
  done throughout
- added patch to keep from installing in /usr/bcc and simply in /usr
- moved include files to /usr/lib/bcc/include

* Tue Sep 07 1999 Erik Troan <ewt@redhat.com>
- updated to Dev86src
- included in Red Hat 6.1

* Sat Nov 14 1998 Simon Weijgers <simon@mbit.doa.org>

- First release of this package to be shipped to rhcn.

- To be fixed: Bug in Makefile which installs headerfiles
  double. E.g. /usr/bcc/include/arch is also installed under
  /usr/bcc/include/arch/arch. This doesn't hinder operation,
  just eats a tiny bit of diskspace.

